import { type EventEmitter } from "../../stencil-public-runtime";
export declare class SegmentedControl {
    el: HTMLIfxSegmentedControlElement;
    ifxChange: EventEmitter<{
        previousValue: string;
        selectedValue: string;
    }>;
    readonly caption: string;
    readonly label: string;
    readonly size: "regular" | "small";
    readonly required: boolean;
    readonly error: boolean;
    onSegmentSelect(event: CustomEvent): void;
    private selectedValue;
    private unselectPreviousSegment;
    private getSegments;
    private setActiveSegment;
    private setSegmentSize;
    componentDidLoad(): Promise<void>;
    render(): any;
    componentDidRender(): void;
}
